import 'package:get/get_rx/src/rx_types/rx_types.dart';
import 'package:sw_core/interface/usecase.dart';
import 'package:sw_core/response/response_all_servicers.dart';
import 'package:sw_data/data/i_repo_spin.dart';

class UseCaseAllServicers extends UseCase<ResponseAllServicers> {
  UseCaseAllServicers(this._repo);

  final IRepoAllServicers _repo;

  @override
  Rx<ResponseAllServicers> observable = ResponseAllServicers().obs;

  @override
  Future<ResponseAllServicers> execute([dynamic object]) async =>
      update(_repo.getAllServicers());
}
